org.apache.flume.sink.solr.morphline

## Class BlobDeserializer.Builder

- java.lang.Object
- - org.apache.flume.sink.solr.morphline.BlobDeserializer.Builder

- All Implemented Interfaces:
    EventDeserializer.Builder
  Enclosing class:
    BlobDeserializer

      public static class BlobDeserializer.Builder
      extends Object
      implements EventDeserializer.Builder

  Builder implementations MUST have a public no-arg constructor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlobDeserializer.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BlobDeserializer` | `build(Context context, ResettableInputStream in)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlobDeserializer.Builder

          public BlobDeserializer.Builder()

  - ### Method Detail

    - #### build

          public BlobDeserializer build(Context context,
                               ResettableInputStream in)

      Specified by:
        `build` in interface `EventDeserializer.Builder`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.